using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class KongTiaoTimerManager : GenericManagerBase<KongTiaoTimer>, IKongTiaoTimerManager
	{
        public new void Save(KongTiaoTimer test)
        {
            ((Dao.IRoomAirConditionMissionRepository)(this.CurrentRepository)).Save(test);
        }


        public new void Update(KongTiaoTimer test)
        {
            ((Dao.IRoomAirConditionMissionRepository)(this.CurrentRepository)).Update(test);
        }


        public List<KongTiaoTimer> Select()
        {
            return ((Dao.IRoomAirConditionMissionRepository)(this.CurrentRepository)).SelectNoExecuted();
        }
    }
}
